package tests

import (
  "testing"
  "fmt"
  "reflect"
  "zedshaw.games/webapp/data"
  // _ "github.com/mattn/go-sqlite3"
  // "github.com/jmoiron/sqlx"
)

func TestAdminIndexPage(t *testing.T) {
  models := data.Models()

  for table, model := range models {
    fmt.Printf("\n------\ntable=%s; model=%s\n", table, model.Name())
    fields := reflect.VisibleFields(model)

    for _, field := range fields {
      fmt.Println("\t", field.Name, field.Type, field.Tag)
    }
  }
}
